"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.newPluginScript = exports.newPluginService = void 0;
const PluginService_1 = require("@joplin/lib/services/plugins/PluginService");
const PluginRunner_1 = require("../app/services/plugins/PluginRunner");
function newPluginService(appVersion = '1.4', options = null) {
    options = options || {};
    const runner = new PluginRunner_1.default();
    const service = new PluginService_1.default();
    service.initialize(appVersion, {
        joplin: {},
    }, runner, {
        dispatch: () => { },
        getState: options.getState ? options.getState : () => { },
    });
    return service;
}
exports.newPluginService = newPluginService;
function newPluginScript(script) {
    return `
		/* joplin-manifest:
		{
			"id": "org.joplinapp.plugins.PluginTest",
			"manifest_version": 1,
			"app_min_version": "1.4",
			"name": "JS Bundle test",
			"version": "1.0.0"
		}
		*/
		
		${script}
	`;
}
exports.newPluginScript = newPluginScript;
//# sourceMappingURL=testUtils.js.map