"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sandboxProxy = require('@joplin/lib/services/plugins/sandboxProxy');
const test_utils_1 = require("@joplin/lib/testing/test-utils");
describe('services_plugins_sandboxProxy', () => {
    beforeEach(async () => {
        await (0, test_utils_1.setupDatabaseAndSynchronizer)(1);
        await (0, test_utils_1.switchClient)(1);
    });
    it('should create a new sandbox proxy', (async () => {
        const results = [];
        // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
        const target = (path, args) => {
            results.push({ path, args });
        };
        const proxy = sandboxProxy(target);
        proxy.testing.bla.test('hello', '123');
        proxy.testing.test2();
        expect(results[0].path).toBe('testing.bla.test');
        expect(results[0].args.join('_')).toBe('hello_123');
        expect(results[1].path).toBe('testing.test2');
        expect(results[1].args.join('_')).toBe('');
    }));
    it('should allow importing a namespace', (async () => {
        const results = [];
        // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
        const target = (path, args) => {
            results.push({ path, args });
        };
        const proxy = sandboxProxy(target);
        const ns = proxy.testing.blabla;
        ns.test();
        ns.test2();
        expect(results[0].path).toBe('testing.blabla.test');
        expect(results[1].path).toBe('testing.blabla.test2');
    }));
});
//# sourceMappingURL=sandboxProxy.js.map